Batch create/modify asset content
POST https://{handle}.myshopline.com/admin/openapi/v20261201/themes/:theme_id/batch-assets.json
handle : The store's unique identifier, which is the prefix of the store's domain name. For example, if a store's domain name is open001.myshopline.com , the store handle is open001 .batch create or update asset file api
Path Parameters
- theme_id string requiredTheme id
Request Headers
- Content-Type string requiredThe field must be set to the fixed value
application/json; charset=utf-8. - Authorization string requiredThe access token for the API resource. Refer to App authorization to obtain the access token, and then pass the obtained token in the Bearer format.Example:
Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA
Request Body
assetsobject[] required
File listsrc stringResource link ( value、src、attachment、source_key four fields can only be transferred to one )Example:https://cdn.myshopline.com/assets/blog.cssvalue stringFile content ( value、src、attachment、source_key four fields can only be transferred to one of them )Example:file_contentattachment stringImage base64 content ( value、src、attachment three fields can only be transferred to one of them )Example:base64_contentkey string requiredFile nameExample:templates/index.test.json
Status Codes
- 200
- 401
- 429
For the complete list of codes and messages, see Http status code.
Response Headers
traceId
A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise.
Response Body
assetsobject[]
File listsize integerFile sizeExample:500theme_id stringTheme idExample:66012436ec4cd35a973324c4updated_at longUpdate timeExample:1712043467793checksum stringCheck valueExample:660BB5CB379F2D68816F4050content_type stringFile typeExample:text/csscreated_at longCreation timeExample:1712043467793key stringFile nameExample:assets/blog.csspublic_url stringResources urlExample:https://cdn.myshopline.com/assets/blog.css
API Explorer
Debugger
Was this article helpful to you?